#include <SoftwareSerial.h>
// bibliotecas para leitura do sensor DS18B20
//#include <OneWire.h>
//#include <DallasTemperature.h>

#define TX_485 14 // Pino DI do módulo RS 485
#define RX_485 15 // Pino RO do módulo RS 485
#define RS485_control 8 // Habilita ou não a transmissão e recepção de dados
SoftwareSerial RS485_serial (RX_485, TX_485);

byte TX [4];
#define RS485transmit HIGH
#define RS485receive LOW

// pino que o sensor esta conectado
const int pino_sensor = 5;
//OneWire bus (pino_sensor);
//DallasTemperature sensors (&bus);
//DeviceAddress sensor;

unsigned int tempo=0;

// variavel para armazenar a temperatura
float temp;
int t=0;

void setup()
{
// inicia a biblioteca
//sensors.begin();
// velocidade comunicaçao serial
Serial.begin(9600);
RS485_serial.begin(9600);
pinMode(RS485_control,OUTPUT);
/*
Serial.println(" Monitoramento de temperatura com sensor DS18B20 ");
if(!sensors.getAddress(sensor,0))
{
Serial.println(" Sensor DS18B20 nao encontrado");
}
*/
}
void loop()
{
  if (RS485_serial.available()) {
  Serial.write(RS485_serial.read());
  }
 
if((millis()-tempo)>2000)
{
tempo=millis();
//sensors.requestTemperatures();
//temp=sensors.getTempC(sensor);
digitalWrite(RS485_control, RS485transmit);
t = temp * 100;
//TX[0] = t/ 255;
//TX[1] = t % 255;

TX[0] = 'a';
TX[1] = 'b';
TX[2] = 'c';
TX[3] = 0x0d;

for (int i=0; i<4; i++)
{
RS485_serial.write(TX[i]);
}
digitalWrite(RS485_control, RS485receive);
}
}
